Last Comment Bug 387844 - Firefox crashes if removing parent node while in XBL constructor
: Firefox crashes if removing parent node while in XBL constructor
Status: VERIFIED FIXED
[sg:critical?] fixed in 1.9 by 267833
: crash, testcase, verified1.8.1.8
Product: Core
Classification: Components
Component: XBL (show other bugs)
: 1.8 Branch
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Andrew Overholt [:overholt]
Mentors:
Depends on: 267833
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-11 21:46 PDT by Vlad Sukhoy
Modified: 2007-10-19 05:06 PDT (History)
6 users (show)
dveditz: blocking1.8.1.8+
dveditz: wanted1.8.1.x+
dveditz: wanted1.8.0.x+
jwalden+bmo: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (884 bytes, application/xhtml+xml)
2007-07-11 21:47 PDT, Vlad Sukhoy
no flags Details

Description Vlad Sukhoy 2007-07-11 21:46:58 PDT
 
Comment 1 Vlad Sukhoy 2007-07-11 21:47:28 PDT
Created attachment 271960 [details]
testcase
Comment 2 Boris Zbarsky [:bz] (still a bit busy) 2007-07-12 13:30:53 PDT
This is branch-only, right?  This seems to work fine on trunk.

And if so, this is basically bug 267833, no?
Comment 3 Vlad Sukhoy 2007-07-12 13:49:04 PDT
Branch-only. If there is no security risk, then WONTFIX..
Comment 4 Boris Zbarsky [:bz] (still a bit busy) 2007-07-12 13:51:08 PDT
Sure there's risk.  That's why we want to land bug 267833 on branch.  ;)
Comment 5 Daniel Veditz [:dveditz] 2007-07-12 18:04:49 PDT
in 1.8.1.5pre I crash at nsCachedStyleData::GetStyleData() Line 210, 'this' is a deleted object.
Comment 6 Daniel Veditz [:dveditz] 2007-10-01 15:36:37 PDT
the branch checkin for bug 267833 has fixed this one for 1.8.1.8
Comment 7 Carsten Book [:Tomcat] 2007-10-10 09:47:36 PDT
verified fixed 1.8.1.8 using Mozilla/5.0 (Macintosh; U; Intel Mac OS X; ja-JP-mac; rv:1.8.1.8) Gecko/2007100816 Firefox/2.0.0.8 - no crash on testcase - adding verified keyword
Comment 8 Robin Whittleton 2007-10-19 01:37:52 PDT
Can someone change the status then to VERIFIED? This is in the list of bugs fixed for MFSA 2007-29 but stands out cos of it's 'NEW' status.

Note You need to log in before you can comment on or make changes to this bug.